%global src_repo_tag   R2.3.4.v20100807
%global eclipse_base   %{_libdir}/eclipse
%global install_loc    %{_datadir}/eclipse/dropins/avr

Summary:		Eclipse AVR plugin.
Name:			eclipse-avr
Version:		2.3.4
Release:		%mkrel 5
Summary:		AVR Eclipse Plugin Sources

Group:			Development/Java
License:		GPLv3+
URL:			http://avr-eclipse.sourceforge.net

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# svn export https://avr-eclipse.svn.sourceforge.net/svnroot/avr-eclipse/tags/R2.3.4.20100807
# tar -czf eclipse-avr.tar.gz R2.3.4.20100807
Source0:		%{name}.tar.gz

BuildArch:		noarch

BuildRequires:		eclipse-pde >= 1:3.4.0
BuildRequires:		eclipse-cdt >= 4.0.0
Requires:		eclipse-platform >= 3.4.0
Requires:		eclipse-cdt >= 4.0.0

# AVR Toolchain + Programmer
Requires:		cross-avr-gcc
Requires:		avr-libc
Requires:		avr-binutils
Requires:		avr-gdb
Requires:		avrdude

%description
The Eclipse AVR plugin includes AVR Toolchain and enables AVR development. 

%prep
%setup -q -c

%build
eclipse-pdebuild -f de.innot.avreclipse -dcdt
eclipse-pdebuild -f de.innot.avreclipse.sdk

%install
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/de.innot.avreclipse.zip 

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/de.innot.avreclipse.sdk.zip 

%files
%{install_loc}
%doc R2.3.4.20100807/de.innot.avreclipse-feature/licence.html
%doc R2.3.4.20100807/de.innot.avreclipse-feature/releasenotes.txt



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.3.4-5.mga3
+ Revision: 349315
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 dmorgan <dmorgan> 2.3.4-4.mga3
+ Revision: 327458
- imported package eclipse-avr

